<?php

require_once '../app/model/db.class.php';

$obj = new database();

$obj->conectar(); $obj->consulta("set names 'utf8'");



$periodo=$_REQUEST['periodo'];

$obj->consulta("DELETE FROM aux_faltas");
$obj->consulta("DELETE FROM nota_disciplina WHERE periodo='".$periodo."'");

$obj->consulta("insert into aux_faltas ( codigo, tipo_falta, falta, periodo ) select reporte_faltas.codigo,  faltas.tipo_falta, reporte_faltas.falta,
                reporte_faltas.periodo from tipo_falta inner join (faltas inner join reporte_faltas on faltas.codigo = reporte_faltas.falta) on
                tipo_falta.codigo = faltas.tipo_falta where reporte_faltas.periodo='".$periodo."'");


    $cursos = $obj->consulta("select * from cursos where grado!=0 order by orden");
    $numero = $obj->numero_de_filas($cursos); // obtenemos el numero de registros

    if  ($numero!=0) {

         while($reg = $obj->fetch_assoc($cursos)){

             $matri= $obj->consulta("select * from matriculas where grado='".$reg['grado']."' and curso='".$reg['codigo']."' and estado='A'");

              while($reg1 = $obj->fetch_assoc($matri)){

                  $leves = $obj->consulta("select * from aux_faltas where codigo='".$reg1['codigo']."' and tipo_falta='1'");
                  $graves = $obj->consulta("select * from aux_faltas where codigo='".$reg1['codigo']."' and tipo_falta='2'");
                  $gravisimas = $obj->consulta("select * from aux_faltas where codigo='".$reg1['codigo']."' and tipo_falta='3'");

                  $lv = $obj->numero_de_filas($leves);
                  $gv = $obj->numero_de_filas($graves);
                  $gvs = $obj->numero_de_filas($gravisimas);

                  $nota_disciplina = (5 - ($lv * 0.1) - ($gv * 0.5) - ($gvs * 1));

                  if ($nota_disciplina < 0)
                      $nota_disciplina = 0;

                  $obj->consulta("INSERT INTO nota_disciplina(alumno,periodo,nota) VALUES ('".$reg1['codigo']."','".$periodo."',".$nota_disciplina.")");

              }
         }
    }



$obj->disconnect();

 echo "<script languaje='javascript'>alert('PROCESO TERMINADO')</script>";
 echo "<script languaje='javascript'>document.location.href='../menu.php';</script>";
?>